<?php

    include("../../classes/database.class.php");
    include("../../classes/prazoPagamentoModel.class.php");
    include("../../classes/prazoPagamentoController.class.php");
    
    $idPrazoPagamento = $_POST["idPrazoPagamento"];
    $nome = $_POST["nome"];
    $nota = $_POST["nota"];

    if($nome == ""){
        $nome = null;
    }
    if($nota == ""){
        $nota = null;
    }

    $modelo = new PrazoPagamentoController($nome, $nota);
    $rows = $modelo->updatePrazoPagamento($idPrazoPagamento);

   echo json_encode($rows);